Bug 875119 - epub output lists some resources twice in the OPF manifest
epub output lists some resources twice in the OPF manifest
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 10:14 EST by Raphaël Hertzog
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2012-11-09 10:14:04 EST
In some cases, publican epub's output generates an incorrect OPF file that list the same file multiple times. This is detected by epubcheck 3.0-RC1:

ERROR: /home/rhertzog/x/tdah/publish/en-US/Debian/6.0/epub/debian-handbook/Debian-6.0-debian-handbook-en-US.epub/OEBPS/content.opf(1,20407): duplicate resource: OEBPS/Common_Content/images/1.png

This error has been reproduced with the Debian Handbook:
$ git clone git://anonscm.debian.org/debian-handbook/debian-handbook.git
Comment 1 HSS Product Manager 2013-09-30 02:47:47 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 2 Jeff Fearn 2013-09-30 20:06:32 EDT
To ssh://git.fedorahosted.org/git/publican.git
   8711fbe..9d087c5  HEAD -> devel
Comment 3 Ruediger Landmann 2013-10-10 21:14:27 EDT
I generated an epub with publican-3.9.9-0.fc19.t4.noarch and checked it with epubcheck-3.0.1 -- the only errors I got were connected with the title_logo.svg, not the book itself. 


$ java -jar epubcheck-3.0.1.jar /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub
Epubcheck Version 3.0.1

Validating against EPUB version 2.0
ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(19,65): attribute "sodipodi:version" not allowed here; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(19,65): attribute "inkscape:version" not allowed here; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(19,65): value of attribute "version" is invalid; must be equal to "1.1"

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(19,65): attribute "sodipodi:docname" not allowed here; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(19,65): attribute "inkscape:output_extension" not allowed here; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(39,23): element "sodipodi:namedview" not allowed anywhere; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(42,14): element "rdf:RDF" not allowed anywhere; 

ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(55,51): attribute "inkscape:label" not allowed here; 


ERROR: /home/rlandmann/Documents/books/rhel/Power_Management_Guide/trunk/6-trunk/tmp/en-US/Red_Hat_Enterprise_Linux-6-Power_Management_Guide-en-US.epub/OEBPS/Common_Content/images/title_logo.svg(55,51): attribute "inkscape:groupmode" not allowed here; 

Check finished with warnings or errors

Note You need to log in before you can comment on or make changes to this bug.